%define cvs 20050929
%define cvssub 0844
%def_disable cvs
%define module_name unionfs
%define module_version 1.1.1
%define module_release alt1
%define module_subversion 1
%define module_package kernel-source-%{module_name}-%{module_version}

Name: %module_name
Version:       %{module_version}
License:       GPL
Group: 	       System/Kernel and hardware
%if_enabled cvs
Release:       %{module_release}.cvs%cvs
Source0:       %{module_name}-%cvs-%cvssub.tar.gz
%else
Release:       %{module_release}
Source0:       %{module_name}-%version.tar.gz
%endif
URL:	       http://www.fsl.cs.sunysb.edu/project-unionfs.html
Summary:       Unionfs - a unioning file system for Linux

# Automatically added by buildreq on Fri Jul 15 2005
BuildRequires: libe2fs-devel

%description
Unionfs is a stackable unification file system, which can appear to
merge the contents of several directories (branches), while keeping
their physical content separate.  Unionfs is useful for unified source
tree management, merged contents of split CD-ROM, merged separate
software package directories, data grids, and more.  Unionfs allows
any mix of read-only and read-write branches, as well as insertion and
deletion of branches anywhere in the fan-out.  To maintain Unix
semantics, Unionfs handles elimination of duplicates, partial-error
conditions, and more.  This release also includes additional
preliminary features that were specifically designed for security
applications, such as snapshotting and sandboxing.


#### MODULE SOURCES ####
%package -n %{module_package}
Summary:        Unionfs - a unioning file system for Linux
Group:         Development/Kernel

%description -n %{module_package}
Unionfs - a unioning file system for Linux

Unionfs is a stackable unification file system, which can appear to
merge the contents of several directories (branches), while keeping
their physical content separate.  Unionfs is useful for unified source
tree management, merged contents of split CD-ROM, merged separate
software package directories, data grids, and more.  Unionfs allows
any mix of read-only and read-write branches, as well as insertion and
deletion of branches anywhere in the fan-out.  To maintain Unix
semantics, Unionfs handles elimination of duplicates, partial-error
conditions, and more.  This release also includes additional
preliminary features that were specifically designed for security
applications, such as snapshotting and sandboxing.


#### UTILS ####
%package -n %name-utils
Summary: Utilities to operate w/ unionfs
Group: System/Kernel and hardware
%description -n %name-utils
unionctl is used to control a unionfs file system.
uniondbg  runs  unionfs  debugging ioctls.

%prep
%if_enabled cvs
%setup -q -n %{module_name}-%cvs-%cvssub
%else
%setup -q -n %{module_name}-%version
%endif

%build
%make UNIONFS_DEBUG_CFLAG= UNIONFS_OPT_CFLAG="$RPM_OPT_FLAGS" utils
%make VERSION=%version %{module_package}.tar.gz 

%install
%make install-utils PREFIX=$RPM_BUILD_ROOT/usr/ MANDIR=$RPM_BUILD_ROOT%_mandir
%__mkdir -p %{buildroot}%{_usrsrc}/kernel/sources/
%__cp -af %{module_package}.tar.gz %{buildroot}%{_usrsrc}/kernel/sources/%{module_package}.tar.gz

%files -n %name-utils
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%_sbindir/*
%_mandir/man?/*


%files -n %{module_package}
%{_usrsrc}/kernel/sources/%{module_package}.tar.gz

%changelog
* Thu Oct 27 2005 Anton Farygin <rider@altlinux.ru> 1.1.1-alt1
- new version

* Tue Oct 04 2005 Anton Farygin <rider@altlinux.ru> 1.0.14-alt0.cvs20050929
- updated from cvs

* Wed Sep 28 2005 Anton Farygin <rider@altlinux.ru> 1.0.14-alt0.cvs20050927
- updated from cvs

* Tue Aug 16 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt0.cvs20050815
- updated from cvs

* Thu Aug 11 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt0.cvs20050810
- update from cvs

* Wed Aug 10 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt0.cvs20050809
- update from cvs

* Mon Aug 08 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt0.cvs20050805
- update from cvs

* Thu Aug 04 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt0.cvs20050803
- update from cvs

* Fri Jul 15 2005 Anton Farygin <rider@altlinux.ru> 1.0.12-alt1.cvs071405
- cvs snapshot from 071405

* Sat May 14 2005 Anton Farygin <rider@altlinux.ru> 1.0.12-alt1
- new version

* Wed Apr 06 2005 Anton Farygin <rider@altlinux.ru> 1.0.11-alt1
- new version

* Tue Feb 22 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt1
- first build for ALT Linux Sisyphus
